import { jsx } from "react/jsx-runtime";
import { CraneIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Crane = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Crane", ...props, children: /* @__PURE__ */ jsx(CraneIcon, { weight: variant }) });
  }
);
Crane.displayName = "Crane";
Object.assign(Crane, { isGdsIcon: true });
export {
  Crane
};
